#!/bin/bash

DIR=$(head -n 1 debian/changelog | perl -pe 's#\)##' | perl -pe 's#(\d)-.*#$1#' | perl -pe 's# \(#-#')
VERSION=$(echo $DIR | sed 's/.*-//')

if [ -e $DIR ] ; then
	echo "A file or dir named $DIR exists. Cannot build."
	exit 1
fi

mkdir $DIR
cp AUTHORS Makefile build-deb.sh copyright publish.sh xmltv-druid.desktop README xmltv-druid  xmltv-druid.glade $DIR/
mkdir $DIR/debian
cd debian
cp changelog control dirs install rules ../$DIR/debian/
cd ../$DIR

dpkg-buildpackage -rfakeroot

cd ..

echo
echo "Running linda to verify the archive"

linda xmltv-druid_*.deb

echo

if [ ! -d upload ] ; then
	mkdir upload
else
	rm -fr upload/xmltv-druid*
fi

mv *.deb upload/
mv *.changes upload/
mv *.tar.gz upload/
mv *.dsc upload/

cp upload/xmltv-druid*.tar.gz xmltv-druid-$VERSION.tar.gz

echo "Results are in the upload/ dir and the sf.net tar is in current dir."

